RDF4J_SERVER=http://onto.fel.cvut.cz:7300
REPOSITORY=l3
QUERY_FILE=$1

echo "*** INFO ***"
echo " - server:$RDF4J_SERVER"
echo " - repository $REPOSITORY"
echo " - query file $QUERY_FILE"
echo ""

echo "*** QUERY ***"
cat $QUERY_FILE
echo ""

echo "*** RESULT ***"
QUERY_SINGLE_LINE=`paste -s $QUERY_FILE`
QUERY=$(perl -MURI::Escape -e 'print uri_escape($ARGV[0]);' "$QUERY_SINGLE_LINE")

curl $RDF4J_SERVER/repositories/$REPOSITORY?query=$QUERY -H "Accept: text/tab-separated-values"
